I have been trying to deploy the UserApp to a J2EE 1.5 instance, but
continue to get errors. It looks like the compatibility issues are
preventing the UserApp from running properly, as I have seen java classes
compiled under 1.4 can throw errors when run under 1.5, and vice-versa.

Has anyone deployed UserApp to a 1.5 server? Are there plans to provide
this?

The documentation for the UserApp's administration page states that other
jsr-168 portlets can be managed by the administration page. However, many
j2ee apps are 1.5, and therefore can't be combined in this admin page.

Thanks